Bug 437854 - kerneloops shouldn't trigger on some WARNING's
kerneloops shouldn't trigger on some WARNING's
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kerneloops (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 14:58 EDT by Warren Togami
Modified: 2011-12-13 17:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 12:07:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (39.50 KB, text/plain)
2008-03-28 15:19 EDT, Thomas J. Baker
no flags Details

  None (edit)
Description Warren Togami 2008-03-17 14:58:35 EDT
md0: WARNING: sda2 appears to be on the same physical disk as sda3.

kerneloops shouldn't react to certain WARNING's that are not kernel failures
like above.

kerneloops-0.10-6.fc9.x86_64
Comment 1 Warren Togami 2008-03-17 17:05:54 EDT
end_request: I/O error, dev fd0, sector 0

This also should be ignored by kerneloops.  This is too common.
Comment 2 Chuck Ebbert 2008-03-17 18:34:12 EDT
(In reply to comment #1)
> end_request: I/O error, dev fd0, sector 0
> 
> This also should be ignored by kerneloops.  This is too common.

This should not be triggering anything. Maybe the first error is being reported
again?
Comment 3 Chuck Ebbert 2008-03-17 19:02:21 EDT
(In reply to comment #0)
> md0: WARNING: sda2 appears to be on the same physical disk as sda3.
> 
> kerneloops shouldn't react to certain WARNING's that are not kernel failures
> like above.
> 

This is fixed in 0.10-8
Comment 4 Warren Togami 2008-03-17 22:38:46 EDT
If you dismiss the pop-up window what causes it to pop-up again?  It saw
previous ignored messages from the logs?  (Isn't this a broken behavior?)
Comment 5 Chuck Ebbert 2008-03-18 01:05:00 EDT
(In reply to comment #4)
> If you dismiss the pop-up window what causes it to pop-up again?  It saw
> previous ignored messages from the logs?  (Isn't this a broken behavior?)
> 

That would be bug 435065
Comment 6 Thomas J. Baker 2008-03-28 15:19:38 EDT
Created attachment 299514 [details]
dmesg output
Comment 7 Thomas J. Baker 2008-03-28 15:20:25 EDT
Comment on attachment 299514 [details]
dmesg output

I'm getting an apparent false positive. Dmesg output attached. I don't see an
oops.
Comment 8 Thomas J. Baker 2008-03-28 15:21:24 EDT
Sorry, I didn't realize this bug was closed. Should I file a new one?
Comment 9 Chuck Ebbert 2008-04-01 00:03:00 EDT
(In reply to comment #8)
> Sorry, I didn't realize this bug was closed. Should I file a new one?

Yes please file a new bug.

Note You need to log in before you can comment on or make changes to this bug.